# Ice::ProtocolException

## Overview

### [ "cpp:ice_print" ] local exception ProtocolException

A generic exception base for all kinds of protocol error conditions.

#### Derived Exceptions

BadMagicException
CloseConnectionException
CompressionException
ConnectionNotValidatedException
DatagramLimitException
ForcedCloseConnectionException
IllegalMessageSizeException
MarshalException
UnknownMessageException
UnknownReplyStatusException
UnknownRequestIdException
UnsupportedEncodingException
UnsupportedProtocolException

## Data Members

string reason;

  The reason for the failure.